### Name: misclass
### Title: Generates Misclassified Data
### Aliases: misclass
### Keywords: datagen

### ** Examples

x1 <- factor(rbinom(100,1,0.5))
x2 <- factor(rbinom(100,2,0.5))

p1 <- matrix(c(1,0,0,1), nrow = 2)
p2 <- matrix(c(0.8,0.1,0.1,0.1,0.8,0.1,0.1,0.1,0.8), nrow = 3)

colnames(p1) <- levels(x1)
colnames(p2) <- levels(x2)

x <- data.frame(x1 = x1, x2 = x2)
mc.matrix <- list(x1 = p1, x2 = p2)

x.mc <- misclass(data.org = x, mc.matrix = mc.matrix,k = 1)

identical(x[,1],x.mc[,1]) # T
identical(x[,2],x.mc[,2]) # F



